Last Comment Bug 720071 - "nsFilePicker.cpp(992) : error C2027: use of undefined type 'IFileDialog'" when using"--with-windows-version=502"
: "nsFilePicker.cpp(992) : error C2027: use of undefined type 'IFileDialog'" wh...
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- blocker (vote)
: mozilla12
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: RequireWin7SDK
Blocks: 661991
  Show dependency treegraph
 
Reported: 2012-01-20 20:17 PST by Serge Gautherie (:sgautherie)
Modified: 2012-02-22 19:22 PST (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
(Av1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" (2.18 KB, patch)
2012-01-23 00:21 PST, Serge Gautherie (:sgautherie)
no flags Details | Diff | Review
(Av1a) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" [Checked in: Comment 7] (3.28 KB, patch)
2012-01-23 07:11 PST, Jim Mathies [:jimm]
jmathies: review+
Details | Diff | Review
(Bv1-11a1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" [Checkin: Comment 14] (3.48 KB, patch)
2012-01-23 23:14 PST, Serge Gautherie (:sgautherie)
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2012-01-20 20:17:04 PST
https://tbpl.mozilla.org/?tree=Try&rev=bbd3d57cd482
https://tbpl.mozilla.org/php/getParsedLog.php?id=8692443&tree=Try
WINNT 5.2 try build on 2012-01-20 02:45:01 PST for push bbd3d57cd482
https://tbpl.mozilla.org/php/getParsedLog.php?id=8692502&tree=Try
WINNT 5.2 try leak test build on 2012-01-20 02:45:01 PST for push bbd3d57cd482
{
.../widget/src/windows/nsFilePicker.cpp(992) : error C2027: use of undefined type 'IFileDialog'
...
}
Comment 1 Serge Gautherie (:sgautherie) 2012-01-20 20:19:05 PST
http://msdn.microsoft.com/en-us/library/windows/desktop/bb775966(v=vs.85).aspx
{
Minimum supported client
Windows Vista
}
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2012-01-21 00:14:39 PST
Eh, makes the case for bug 699385 even stronger.
Comment 3 Serge Gautherie (:sgautherie) 2012-01-23 00:21:53 PST
Created attachment 590641 [details] [diff] [review]
(Av1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502"

(In reply to Siddharth Agarwal [:sid0] from comment #2)
> Eh, makes the case for bug 699385 even stronger.

Yeah. Nonetheless, for now, it just misses 2 SDK checks (to complete the existing ones).

Succeeded as https://tbpl.mozilla.org/?tree=Try&rev=ce1c31e55fe1 (12a1)
Comment 4 Jim Mathies [:jimm] 2012-01-23 07:11:46 PST
Created attachment 590709 [details] [diff] [review]
(Av1a) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502"
[Checked in: Comment 7]

Can we take a slightly different route here - this strips the new methods out based on the sdk version. (Since we were already completely ifdef'ing out ShowFolderPicker, ComDlgFilterSpec, and IFileDialogEvents.) I don't have the sdk to test build this unfortunately.
Comment 5 Serge Gautherie (:sgautherie) 2012-01-23 08:42:46 PST
Comment on attachment 590709 [details] [diff] [review]
(Av1a) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502"
[Checked in: Comment 7]

(In reply to Jim Mathies [:jimm] from comment #4)

> Can we take a slightly different route here - this strips the new methods
> out based on the sdk version. (Since we were already completely ifdef'ing
> out ShowFolderPicker, ComDlgFilterSpec, and IFileDialogEvents.)

I fully concur: I just missed to fully complete that ;-/

> I don't have the sdk to test build this unfortunately.

I confirm at 100% by code inspection.
Submitted as https://tbpl.mozilla.org/?tree=Try&rev=29f447226b75 , just in case.
Comment 6 Jim Mathies [:jimm] 2012-01-23 10:32:59 PST
Comment on attachment 590709 [details] [diff] [review]
(Av1a) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502"
[Checked in: Comment 7]

try builds completed successfully.
Comment 7 Serge Gautherie (:sgautherie) 2012-01-23 23:01:17 PST
Comment on attachment 590709 [details] [diff] [review]
(Av1a) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502"
[Checked in: Comment 7]

https://hg.mozilla.org/mozilla-central/rev/3be494e4cc8f
Comment 8 Serge Gautherie (:sgautherie) 2012-01-23 23:14:29 PST
Created attachment 591002 [details] [diff] [review]
(Bv1-11a1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" [Checkin: Comment 14]

Av1a, with context fixed to apply on 11a1 aurora default.

[Approval Request Comment]
Regression caused by (bug #): bug 661991.
User impact if declined: none, but impossible to build (on Windows 2000) with P.SDK 2003R2.
Testing completed (on m-c, etc.): multiple Try builds and comment 7.
Risk to taking this patch (and alternatives if risky): no risk, trivial addition of missing build time conditions.
Comment 9 Serge Gautherie (:sgautherie) 2012-01-24 00:05:00 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8780739&tree=Firefox
WINNT 5.2 mozilla-central build on 2012-01-23 22:08:54 PST for push 3be494e4cc8f
still succeeds.

V.Fixed
Comment 10 Alex Keybl [:akeybl] 2012-01-25 18:16:39 PST
Comment on attachment 591002 [details] [diff] [review]
(Bv1-11a1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" [Checkin: Comment 14]

[Triage Comment]
In support of building on Windows 2000 - approved for Aurora.
Comment 11 Ed Morley [:emorley] 2012-02-05 11:30:47 PST
Missed aurora; removing checkin-needed to tidy checkin-needed saved search; presume you need to re-request for beta (if still wanted) anyway.
Comment 12 Serge Gautherie (:sgautherie) 2012-02-05 12:02:04 PST
Comment on attachment 591002 [details] [diff] [review]
(Bv1-11a1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" [Checkin: Comment 14]

[Approval Request Comment]
Per comment 11.
Comment 13 Alex Keybl [:akeybl] 2012-02-05 14:03:47 PST
Comment on attachment 591002 [details] [diff] [review]
(Bv1-11a1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" [Checkin: Comment 14]

[Triage Comment]
This patch has now baked on m-c (and Aurora 12 since we pushed it out Friday). Approving for Beta 11.
Comment 14 Jens Hatlak (:InvisibleSmiley) 2012-02-22 11:05:19 PST
Comment on attachment 591002 [details] [diff] [review]
(Bv1-11a1) Fix windows/nsFilePicker to actually be buildable using "--with-windows-version=502" [Checkin: Comment 14]

http://hg.mozilla.org/releases/mozilla-beta/rev/7d66ee5164c0
Comment 15 Serge Gautherie (:sgautherie) 2012-02-22 19:22:51 PST
https://tbpl.mozilla.org/?tree=Mozilla-Beta&rev=afcb5dfe30eb
is still green.

firefox11: verified.

Note You need to log in before you can comment on or make changes to this bug.